<?php
namespace Misuzu\Perms;

interface IPermissionResult {
    public function getCalculated(): int;
    public function check(int $perm): bool;
    public function checkMany(array $perms): object;
    public function apply(callable $callable): IPermissionResult;
}
